<head>
  <meta charset="utf-8">
  <meta name="robots" content="all,follow">
  <meta name="googlebot" content="index,follow,snippet,archive">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>{{ .Title | markdownify | plainify }}</title>
  <meta name="author" content="{{ with .Params.authors }}{{ delimit . ", " }}{{ else }}{{ .Site.Params.author }}{{ end }}">
  {{ $keywords := .Site.Params.defaultKeywords | default (slice "" | first 0) }}
  {{ if isset .Params "tags" }}{{ range .Params.tags }}{{ $keywords = $keywords | append . }}{{ end }}{{ end }}
  {{ if isset .Params "keywords" }}{{ range .Params.keywords }}{{ $keywords = $keywords | append . }}{{ end }}{{ end }}
  {{ if gt (len $keywords) 0 }}
  <meta name="keywords" content="{{ delimit (uniq $keywords) ", " }}">
  {{ end }}
  {{ $description := .Params.lead | default .Description | default .Site.Params.defaultDescription }}
  <meta name="description" content="{{ $description | markdownify | plainify }}">
  {{ hugo.Generator }}

  <!-- Roboto fonts -->
  <!-- {{ range (readDir "assets/css/roboto/") }}
  {{ $font_css := .Name | printf "css/roboto/%s" | resources.Get | minify }}
  <link rel="stylesheet" href="{{ $font_css.RelPermalink }}">
  {{ end }} -->

  <!-- WORK IN PROGRESS Leaflet -->
  <!-- {{ if eq .Title "Kontakt" }}
    <link rel="stylesheet" href="{{ "css/leaflet.css" | relURL }}"/>
    <script src="{{ "js/leaflet.js" | relURL }}"></script>
    <script src="{{ "js/custom_leaflet_map.js" | relURL }}"></script>
  {{ end }} -->

  <!-- Global CSS as single bundled file -->
  {{ $fonts_css :=  resources.Get "css/NotoSans.css" }}
  {{ $icons_css :=  resources.Get "css/icon-fonts.css" }}
  {{/* $bootstrap_css :=  resources.Get "css/bootstrap-3.3.7.css" */}}
  {{ $bootstrap_css :=  resources.Get "css/bootstrap-3.4.1.css" }}
  {{ $animate_css := resources.Get "css/animate.css" }}
  {{ $global_css := slice $fonts_css $icons_css $bootstrap_css $animate_css | resources.Concat "css/global.css" | minify }}
  <link rel="stylesheet" href="{{ $global_css.RelPermalink }}">

  <!-- Theme stylesheet, if possible do not edit this stylesheet -->
  {{ $style := .Param "style" | default "default" }}
  {{ $theme_css := $style | printf "css/style.%s.css" | resources.Get | minify }}
  <link rel="stylesheet" href="{{ $theme_css.RelPermalink }}" id="theme-stylesheet">

  <!-- Custom stylesheet (loaded separately due to overwriting of existing rules) -->
  {{ $custom_css := resources.Get "css/custom.css" | minify }}
  <link rel="stylesheet" href="{{ $custom_css.RelPermalink }}">

  <!-- Owl Carousel CSS (only loaded on Home) -->
  {{ if .IsHome }}
    {{ $owl_carousel_css := resources.Get "css/owl-carousel-1.3.2.css" }}
    {{ $owl_theme_css := resources.Get "css/owl-theme-1.3.2.css" }}
    {{ $owl_css := slice $owl_carousel_css $owl_theme_css | resources.Concat "css/owl.css" | minify }}
    <link rel="stylesheet" href="{{ $owl_css.RelPermalink }}">
  {{ end }}

  <!-- Responsivity for older IE -->
  {{ `
    <!--[if lt IE 9]>
        <script src="{{ relURL "js/html5shiv.min.js" }}"></script>
        <script src="{{ relURL "js/respond.min.js" }}"></script>
    <![endif]-->
  ` | safeHTML }}

  <!-- Favicon, Apple touch icons & Co.-->
  <link rel="apple-touch-icon" sizes="180x180" href="{{ "apple-touch-icon.png" | relURL }}">
  <link rel="icon" type="image/png" sizes="32x32" href="{{ "favicon-32x32.png" | relURL }}">
  <link rel="icon" type="image/png" sizes="16x16" href="{{ "favicon-16x16.png" | relURL }}">
  <link rel="manifest" href="{{ "site.webmanifest" | relURL }}">
  <link rel="mask-icon" href="{{ "safari-pinned-tab.svg" | relURL }}" color="#5bbad5">
  <meta name="apple-mobile-web-app-title" content="FOKUS Aargau">
  <meta name="application-name" content="FOKUS Aargau">
  <meta name="msapplication-TileColor" content="#d0e4ff">
  <meta name="theme-color" content="#d0e4ff">

  <!-- RSS feed -->
  <link rel="alternate" href="{{ "/index.xml" | absURL }}" type="application/rss+xml" title="{{ .Site.Title | markdownify | plainify }}">

  <!-- Facebook OpenGraph tags -->
  {{ $is_blog := and (eq .Type "analysen") (eq .Kind "page") }}
  {{ $has_image :=  or (isset .Params "banner_prefix") (isset .Params "banner") }}
  {{ $image := cond $has_image (cond (isset .Params "banner_prefix") (.Param "banner_prefix" | printf "%s_2048.jpg") (.Param "banner") ) (.Site.Params.logo_square_raster | default "img/sharing-default.png") }}
  {{ $is_valid_image := print "static/" $image | fileExists }}
  {{ if $is_valid_image }}
    {{ $image_ext := path.Ext $image }}
    <meta property="og:locale" content="{{ replace .Site.LanguageCode "-" "_" }}">
    <meta property="og:site_name" content="{{ .Site.Params.title_short }}">
    <meta property="og:title" content="{{ with .Title }}{{ . | markdownify | plainify }}{{ else }}{{ .Site.Title }}{{ end }}">
    <meta property="og:type" content="{{ cond $is_blog "article" "website" }}">
    <meta property="og:url" content="{{ .Permalink }}">
    <meta property="og:description" content="{{ $description | markdownify | plainify }}">
    <meta property="og:image" content="{{ $image | absURL }}">
    <meta property="og:image:type" content="image/{{ if eq $image_ext ".svg" }}svg+xml{{ else }}{{ trim $image_ext "." }}{{ end }}">
    <meta property="og:image:alt" content="{{ cond $is_blog (printf "Symbolbild %s" (replaceRE "^.*?:\\s+" "" .Title)) "FOKUS-Aargau-Logo" }}">
    {{ $image_local :=  printf "/static/%s" $image}}
    <!-- SVG images are unsupported by `imageConfig`, cf. https://github.com/gohugoio/hugo/issues/3700 -->
    <!-- since *all* Go template code is always evaluated regardless of conditionals, we cannot work around this by testing the for `.svg` file extension or the like -->
    {{ with (imageConfig $image_local) }}
      <meta property="og:image:width" content="{{ .Width }}">
      <meta property="og:image:height" content="{{ .Height }}">
    {{ end }}
  {{ end }}
  {{ with .Lastmod }}<meta property="og:updated_time" content="{{ .Format "2006-01-02T15:04:05Z0700" }}">{{ end }}
  {{ if $is_blog }}
    {{ with .Site.Params.facebook }}<meta property="article:publisher" content="https://www.facebook.com/{{ . }}/">{{ end }}
    {{ with .Params.fb_author }}<meta property="article:author" content="https://www.facebook.com/{{ . }}/">{{ end }}
    {{ with .Params.categories }}<meta property="article:section" content="{{ index . 0 }}">{{ end }}
    {{ range .Params.tags }}<meta property="article:tag" content="{{ . }}">
    {{ end }}
    {{ if gt .ExpiryDate .PublishDate }}<meta property="article:expiration_time" content="{{ .ExpiryDate.Format "2006-01-02T15:04:05Z0700" }}">{{ end }}
    {{ with .PublishDate }}<meta property="article:published_time" content="{{ .Format "2006-01-02T15:04:05Z0700" }}">{{ end }}
    {{ with .Lastmod }}<meta property="article:modified_time" content="{{ .Format "2006-01-02T15:04:05Z0700" }}">{{ end }}
  {{ end }}

  {{ with .Site.Params.fb_app_id }}<meta property="fb:app_id" content="{{ . }}">{{ end }}

  <!-- Twitter Card meta tags -->
  <meta name="twitter:card" content="summary{{ if (and $is_blog (and $has_image $is_valid_image)) }}_large_image{{ end }}">
  {{ with .Site.Params.twitter }}<meta name="twitter:site" content="@{{ . }}">{{ end }}
  <meta name="twitter:title" content="{{ with .Title }}{{ . | markdownify | plainify | truncate 70 }}{{ else }}{{ .Site.Title | truncate 70 }}{{ end }}">
  {{ if $is_valid_image }}
  <meta name="twitter:image" content="{{ $image | absURL }}">
  {{ end }}
  <meta name="twitter:description" content="{{ $description | markdownify | plainify | truncate 200 }}">
  {{ if $is_blog }}
    {{ with .Params.authors }}
      {{ if in . "Prof. Dr. Uwe Serdült" }}
        <meta name="twitter:creator" content="@serduelt">
      {{ end }}
      {{ if in . "Salim Brüggemann" }}
        <meta name="twitter:creator" content="@2BSalim">
      {{ end }}
    {{ end }}
  {{ end }}

</head>
